/**
 * Copyright (C) 2012 Alessandro Vurro.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * <i>JMapper</i> is an dynamic mapping framework.  
 * For overviews, tutorials, examples, guides, and tool documentation, please see the reference guide.
 *
 * <p>The principal public APIs in this package are:
 *
 * <dl>
 * <dt>{@link it.avutils.jmapper.JMapper}
 * <dd> JMapper permits to define a simple dynamic mapping between two classes, 
 * 	    explicit one-to-many and many-to-one relationships aren't permitted.
 *
 * <dt>{@link it.avutils.jmapper.RelationalJMapper}
 * <dd> RelationalJMapper is a wrapper of JMapper Class, adds to his features the
 * 	    explicit one-to-many and many-to-one relationships. 
 * </dl>
 *
 */
package it.avutils.jmapper;